Operations related to addresses
Get a summary for a Spark address including balances, token count, and transaction count.
path Parameters
addressThe Spark address or public key hex
query Parameters
networkResponses
Response for status 200
sparkAddressThe Spark bech32 address
publicKeyThe public key hex
totalValueUsdTotal portfolio value in USD
transactionCountTotal number of transactions
tokenCountNumber of distinct tokens held
Get paginated transactions for an address using offset-based pagination. For better performance on addresses with many transactions, use the v2 cursor-based endpoint.
path Parameters
addressThe Spark address or public key hex
query Parameters
networklimitNumber of transactions per page (default: 25, max: 100)
offsetNumber of transactions to skip.
assetsortorderfrom_timestampFilter transactions created after this ISO 8601 timestamp.
to_timestampFilter transactions created before this ISO 8601 timestamp.
Responses
Response for status 200
Get all tokens held by an address with their balances and USD values.
path Parameters
addressThe Spark address or public key hex
query Parameters
networkResponses
Response for status 200
totalTokenValueUsdFetch transactions for an address using efficient cursor-based pagination. Much faster than v1 for addresses with many transactions. Includes swap information if the transaction is part of a swap.
path Parameters
addressThe Spark address or public key hex
query Parameters
networklimitNumber of transactions per page (default: 25, max: 100)
cursorPagination cursor. Use nextCursor from previous response to get next page.
Responses
Response for status 200
Cursor for the next page, or null if no more pages